#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int T;
    long long N,M,K;
    cin>>T;
    for(int i = 0;i<T;i++)
    {
        cin>>N>>M>>K;
        if((N / K) * (N / K + 1) / 2 * K + (N / K + 1) * (N % K) > M)cout<<"Nie\n";
        else cout<<"Tak\n";
    }
    return 0;
}